VST 3 Interfaces: IParameterChanges Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IParameterChanges Class Referenceabstract

All parameter changes of a processing block: Vst::IParameterChanges. More...

`#include <ivstparameterchanges.h>`

Inheritance diagram for IParameterChanges:

## Public Member Functions
virtual int32 | getParameterCount ()=0
| Returns count of Parameter changes in the list.
virtual IParamValueQueue * | getParameterData (int32 index)=0
| Returns the queue at a given index.
virtual IParamValueQueue * | addParameterData (const ParamID &id, int32 &index)=0
    Adds a new parameter queue with a given ID at the end of the list,
returns it and its index in the parameter changes list.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

All parameter changes of a processing block: Vst::IParameterChanges.

- [host imp]
- [released: 3.0.0]
- [mandatory]

This interface is used to transmit any changes to be applied to parameters in the current processing block. A change can be caused by GUI interaction as well as automation. They are transmitted as a list of queues (IParamValueQueue) containing only queues for parameters that actually did change. See IParamValueQueue, ProcessData

## Member Function Documentation

virtual int32 getParameterCount | ( |  | ) |
| pure virtual

Returns count of Parameter changes in the list.

Implemented in ParameterChanges.

virtual IParamValueQueue* getParameterData | ( | int32 | index | ) |
| pure virtual

Returns the queue at a given index.

Implemented in ParameterChanges.

virtual IParamValueQueue* addParameterData | ( | const ParamID & | id,
|  | int32 & | index
| ) |  |
| pure virtual

    Adds a new parameter queue with a given ID at the end of the list,

returns it and its index in the parameter changes list.

Implemented in ParameterChanges.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.